View Issue Details

IDProjectCategoryView StatusLast Update
0002305SymmetricDSNew Featurepublic2015-05-28 07:58
ReporterchensonAssigned Tochenson 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version3.7.18 
Target Version3.7.18Fixed in Version3.7.18 
Summary0002305: Add new extension point that allows batches to be filtered prior to sending them
DescriptionAdd new extension point that allows batches to be filtered prior to sending them. This feature could be used to backoff retries when an error occurs. It could also be used to time delay the delivery of batches.
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: master 6267c564

2015-05-27 14:30:02

chenson

Details Diff
0002305: Add new extension point that allows batches to be filtered prior to sending them
0002305
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/AbstractSymmetricEngine.java Diff File
add - symmetric-core/src/main/java/org/jumpmind/symmetric/ext/IOutgoingBatchFilter.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/OutgoingBatchService.java Diff File

Issue History

Date Modified Username Field Change
2015-05-27 14:29 chenson New Issue
2015-05-27 14:29 chenson Status new => assigned
2015-05-27 14:29 chenson Assigned To => chenson
2015-05-27 15:00 chenson Changeset attached => SymmetricDS trunk r9484
2015-05-27 15:55 chenson Status assigned => resolved
2015-05-27 15:55 chenson Fixed in Version => 3.7.18
2015-05-27 15:55 chenson Resolution open => fixed
2015-05-28 07:58 chenson Status resolved => closed
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master 6267c564